package cn.yyxx.commsdk.impl;

import android.content.Context;

import cn.yyxx.commsdk.base.internal.feature.IFeature;
import cn.yyxx.commsdk.impl.merge.channel.ChannelSdk;
import cn.yyxx.commsdk.impl.merge.platform.PlatformSdk;


/**
 * @author #Suyghur.
 * Created on 2021/12/26
 */
public class ChannelSdkGenerator {

    public static IFeature getChannelInstance(Context context, boolean isThird) {
        IFeature instance = null;
        if (isThird){
            instance = new ChannelSdk(context);
        }else{
            instance = new PlatformSdk(context);
        }
        return instance;
    }


}
